%define name ueagle-firmware
%define version 1.1
%define distname ueagle-data-%{version}
%define release %mkrel 3

Summary: Firmware and CMV files for Eagle-based modems
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://eagle-usb.org/ueagle-atm/non-free/%{distname}.tar.bz2
Source1: http://download.gna.org/ueagleatm/ikanos/ueagle4-data-1.0.tar.gz
# (tpg) stolen from http://svn.gna.org/viewcvs/ueagleatm/trunk/ueagle-utils/debug/#dirlist
# ueagle-utils are bit outdated and there are no reason to create separate pkg only for these two files
Source2: ueaglediag
Source3: ueaglestat
License: Public Domain/BSD
Group: System/Kernel and hardware
Url: http://eagle-usb.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains firmware and CMV files for Eagle-based modems.

%prep
%setup -q -n %{distname} -a 1

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware/ueagle-atm
install -m644 *.bin *.fw %{buildroot}/lib/firmware/ueagle-atm
pushd ueagle4-data-1.0
install -m644 *.bin* *.fw %{buildroot}/lib/firmware/ueagle-atm
popd

install -d %{buildroot}%{_bindir}
install -m755 %{SOURCE2} %{buildroot}%{_bindir}/ueaglediag
install -m755 %{SOURCE3} %{buildroot}%{_bindir}/ueaglestat

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /lib/firmware/ueagle-atm/
/lib/firmware/ueagle-atm/*.bin*
/lib/firmware/ueagle-atm/*.fw
%{_bindir}/ueagle*


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1-3mdv2009.0
+ Revision: 241596
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - spec file clean
    - add ueaglediag and ueaglestat scripts, which are very helpful with debuging/monitoring POTS line parameters

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 1.1-2mdv2008.0
+ Revision: 91128
- add Eagle IV files
- Import ueagle-firmware



* Mon Sep 11 2006 Olivier Blin <blino@mandriva.com> 1.1-1mdv2007.0
- initial Mandriva release
